Subject: Re: [Roll] rtgdir Last Call Review: draft-ietf-roll-useofrplinfo

From: Ines Robles <[email-masked]>
Date: Thu, 2 May 2019 10:14:45 +0300

Hi Henning,

Thank you for your comments, we will work on it and get back to you.

Cheers,

Ines

On Tue, Apr 16, 2019 at 9:15 PM Henning Rogge <[email-masked]> wrote:

> Hi,
>
> I was asked by the IETF to do a Routing-Directorate review of
> draft-ietf-roll-useofrplinfo. Please note that I do NOT follow
> the ROLL WG.
>
> Overall I think the draft tries too hard to condense information
> into one document. It often uses non-intuitive abbreviations (e.g.
> "RPL-aware-Leaf" as "RaF" or "target" as "tgt") and I just don't
> know if this is the common way to do it in ROLL or just an unlucky
> accident.
>
> A lot of tables are literally overloaded with information to the
> point where the document generator splits apart words, making the
> table unreadable (see table 4,6,7,8,11,21 among others).
>
> Other table entries are just not easy to interpret. Table 7
> (as an example) has the options "no, "must" and "yes" for a column
> which raises the question what is the difference between "must"
> and "yes".
>
> I am not sure what advice to give for the draft, if this (as the
> abstract states) is the analysis for the basis of header compression
> design I am worried that the design decisions will be hard to understand.
>
> Henning Rogge
>

---

From: Ines Robles <[email-masked]>
Date: Fri, 17 May 2019 12:32:45 +0300

Hi Henning,

Thank you for your review and comments. We have submitted a new version
with corrections. Please find answer in-line.

> know if this is the common way to do it in ROLL or just an unlucky

<author> Abbreviations are mentioned in the terminology section. The
abbreviations are mainly done to fit into the tables </author>

> table unreadable (see table 4,6,7,8,11,21 among others).

<author> Tables were fixed with new format </author>

> which raises the question what is the difference between "must"

<author> fixed </author>

> design I am worried that the design decisions will be hard to understand.

 <author> We hope with the new corrections, the draft is easy to understand
now </author>

Best regards,

Ines